Attacker Value
Very High
(2 users assessed)
Exploitability
High
(2 users assessed)
User Interaction
None
Privileges Required
Low
Attack Vector
Local
1

CVE-2020-10977

Disclosure Date: April 08, 2020
Add MITRE ATT&CK tactics and techniques that apply to this CVE.

Description

GitLab EE/CE 8.5 to 12.9 is vulnerable to a an path traversal when moving an issue between projects.

Add Assessment

3
Ratings
  • Attacker Value
    High
  • Exploitability
    Medium
Technical Analysis

@zeroSteiner pointed us to this exploit chain today: https://twitter.com/CasvCooten/status/1270374273849401346. It uses CVE-2020-10535 to satisfy the authentication requirement. Note that https://hackerone.com/reports/827052 already explains the path to RCE. We actually already have a Rails secret deserialization exploit, so “weaponizing” the exploit chain is possible. @adfoster-r7 has pointed out that GitLab requires a signed cookie, so this module will not work.

3
Ratings
  • Attacker Value
    Very High
  • Exploitability
    Very High
Technical Analysis

Requires authentication but after that it’s a couple of easy hops to get to admin – and with that: pillage secrets, deploy additional backdoor, pillage secrets, review code for additional vulnerabilities. Game over.

https://hackerone.com/reports/827052

CVSS V3 Severity and Metrics
Base Score:
5.5 Medium
Impact Score:
3.6
Exploitability Score:
1.8
Vector:
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Attack Vector (AV):
Local
Attack Complexity (AC):
Low
Privileges Required (PR):
Low
User Interaction (UI):
None
Scope (S):
Unchanged
Confidentiality (C):
High
Integrity (I):
None
Availability (A):
None

General Information

Technical Analysis